{
    "$graph": [
        {
            "label": "taxonomy_check_16S",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "taxonomy_check_16S",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#taxonomy_check_16S.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-blastdb",
                        "valueFrom": "$(inputs.blastdb_dir.path)/$(inputs.blastdb)"
                    },
                    "id": "#taxonomy_check_16S.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#taxonomy_check_16S.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#taxonomy_check_16S.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#taxonomy_check_16S.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#taxonomy_check_16S.cwl/input_manifest"
                },
                {
                    "type": "string",
                    "default": "taxonomy_check_16S.xml",
                    "inputBinding": {
                        "prefix": "-report"
                    },
                    "id": "#taxonomy_check_16S.cwl/report_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#taxonomy_check_16S.cwl/taxon_db"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-top"
                    },
                    "id": "#taxonomy_check_16S.cwl/top"
                }
            ],
            "id": "#taxonomy_check_16S.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.report_name)"
                    },
                    "id": "#taxonomy_check_16S.cwl/report"
                }
            ]
        },
        {
            "label": "taxonomy_check_16S",
            "class": "Workflow",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/align"
                },
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "string",
                    "id": "#main/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#main/blastdb_dir"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/taxonomy_check_16S/report",
                    "id": "#main/report"
                }
            ],
            "steps": [
                {
                    "run": "#taxonomy_check_16S.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/taxonomy_check_16S/asn_cache"
                        },
                        {
                            "source": "#main/blastdb",
                            "id": "#main/taxonomy_check_16S/blastdb"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/taxonomy_check_16S/blastdb_dir"
                        },
                        {
                            "default": "seq-align",
                            "id": "#main/taxonomy_check_16S/ifmt"
                        },
                        {
                            "source": "#main/align",
                            "id": "#main/taxonomy_check_16S/input"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/taxonomy_check_16S/taxon_db"
                        },
                        {
                            "default": 10,
                            "id": "#main/taxonomy_check_16S/top"
                        }
                    ],
                    "out": [
                        "#main/taxonomy_check_16S/report"
                    ],
                    "id": "#main/taxonomy_check_16S"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
